Subject: [quicwg/base-drafts] Érik Vyncke's Transport Comment 8 (#4531)

From: Lucas Pardue <[email-masked]>
Date: Tue, 05 Jan 2021 19:48:07 -0800

Érik Vyncke said:

> -- Section 9 (and also 9.4 and possibly others) --
> Please also consider adding another reason for an endpoint to change its IPv6
> address due to RFC 4941 ("privacy extensions for IPv6 addresses") and not only
> NAT ;-)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4531

---

From: Martin Thomson <[email-masked]>
Date: Wed, 06 Jan 2021 02:26:16 -0800

I don't think that is appropriate in the general case.  However, in [Section 9.5](https://quicwg.org/base-drafts/draft-ietf-quic-transport.html#section-9.5-8), we say this:

> A client might wish to reduce linkability by employing a new connection ID and source UDP port when sending traffic after a period of inactivity. Changing the UDP port from [...]

We could point to privacy addresses as an option here.  That is not a bad idea as IPv6 clients can't rely on NAT to the same extent that IPv4 clients do.

> A client might wish to reduce linkability by employing a new connection ID, source UDP port, and optionally IP address (for instance, using {{?RFC4941}}) when sending traffic after a period of inactivity. Changing the source address from [...]

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4531#issuecomment-755217180

---

From: Mike Bishop <[email-masked]>
Date: Mon, 11 Jan 2021 07:47:30 -0800

Using "optionally" inside "might wish to" seems overly wishy-washy.  How about "employing a new connection ID, source UDP port, and/or IP address (see {{?RFC4941}})...."?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4531#issuecomment-758035102

---

From: Martin Thomson <[email-masked]>
Date: Tue, 12 Jan 2021 16:16:05 -0800

Closed #4531 via #4725.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4531#event-4198729418